# Generated by Erlang.mk. Edit at your own risk!

src/commands/epgsql_cmd_batch.erl:: include/epgsql.hrl include/protocol.hrl src/epgsql_command.erl; @touch $@
src/commands/epgsql_cmd_bind.erl:: include/epgsql.hrl include/protocol.hrl src/epgsql_command.erl; @touch $@
src/commands/epgsql_cmd_close.erl:: include/epgsql.hrl include/protocol.hrl src/epgsql_command.erl; @touch $@
src/commands/epgsql_cmd_connect.erl:: include/epgsql.hrl include/protocol.hrl src/epgsql_command.erl; @touch $@
src/commands/epgsql_cmd_describe_portal.erl:: include/epgsql.hrl include/protocol.hrl src/epgsql_command.erl; @touch $@
src/commands/epgsql_cmd_describe_statement.erl:: include/epgsql.hrl include/protocol.hrl src/epgsql_command.erl; @touch $@
src/commands/epgsql_cmd_equery.erl:: include/epgsql.hrl include/protocol.hrl src/epgsql_command.erl; @touch $@
src/commands/epgsql_cmd_execute.erl:: include/epgsql.hrl include/protocol.hrl src/epgsql_command.erl; @touch $@
src/commands/epgsql_cmd_parse.erl:: include/epgsql.hrl include/protocol.hrl src/epgsql_command.erl; @touch $@
src/commands/epgsql_cmd_prepared_query.erl:: include/epgsql.hrl include/protocol.hrl src/epgsql_command.erl; @touch $@
src/commands/epgsql_cmd_squery.erl:: include/protocol.hrl src/epgsql_command.erl; @touch $@
src/commands/epgsql_cmd_start_replication.erl:: include/epgsql.hrl include/protocol.hrl src/epgsql_command.erl; @touch $@
src/commands/epgsql_cmd_sync.erl:: include/epgsql.hrl include/protocol.hrl src/epgsql_command.erl; @touch $@
src/commands/epgsql_cmd_update_type_cache.erl:: include/protocol.hrl src/epgsql_command.erl; @touch $@
src/datatypes/epgsql_codec_boolean.erl:: src/epgsql_codec.erl; @touch $@
src/datatypes/epgsql_codec_bpchar.erl:: src/epgsql_codec.erl; @touch $@
src/datatypes/epgsql_codec_datetime.erl:: src/epgsql_codec.erl; @touch $@
src/datatypes/epgsql_codec_float.erl:: src/epgsql_codec.erl; @touch $@
src/datatypes/epgsql_codec_geometric.erl:: src/epgsql_codec.erl; @touch $@
src/datatypes/epgsql_codec_hstore.erl:: include/protocol.hrl src/epgsql_codec.erl; @touch $@
src/datatypes/epgsql_codec_integer.erl:: src/epgsql_codec.erl; @touch $@
src/datatypes/epgsql_codec_intrange.erl:: include/protocol.hrl src/epgsql_codec.erl; @touch $@
src/datatypes/epgsql_codec_json.erl:: src/epgsql_codec.erl; @touch $@
src/datatypes/epgsql_codec_net.erl:: src/epgsql_codec.erl; @touch $@
src/datatypes/epgsql_codec_noop.erl:: src/epgsql_codec.erl; @touch $@
src/datatypes/epgsql_codec_postgis.erl:: src/epgsql_codec.erl; @touch $@
src/datatypes/epgsql_codec_text.erl:: src/epgsql_codec.erl; @touch $@
src/datatypes/epgsql_codec_timerange.erl:: include/protocol.hrl src/epgsql_codec.erl; @touch $@
src/datatypes/epgsql_codec_uuid.erl:: src/epgsql_codec.erl; @touch $@
src/epgsql.erl:: include/epgsql.hrl; @touch $@
src/epgsql_binary.erl:: include/protocol.hrl; @touch $@
src/epgsql_fdatetime.erl:: include/protocol.hrl; @touch $@
src/epgsql_idatetime.erl:: include/protocol.hrl; @touch $@
src/epgsql_sock.erl:: include/epgsql.hrl include/protocol.hrl src/epgsql_replication.hrl; @touch $@
src/epgsql_wire.erl:: include/epgsql.hrl include/protocol.hrl; @touch $@
src/epgsqla.erl:: include/epgsql.hrl; @touch $@
src/epgsqli.erl:: include/epgsql.hrl; @touch $@
src/ewkb.erl:: include/epgsql_geometry.hrl; @touch $@

COMPILE_FIRST += epgsql_command epgsql_codec
